#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           telly-skout
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Kirigami TV guide
License:        GPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/telly-skout/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  pkgconfig(gmp)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)

BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5UnitConversion)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5CoreAddons)

%description
Telly Skout is a convergent Kirigami TV guide. It shows the
TV program for your favorite channels from TV Spielfilm or
an XMLTV file.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf5_bindir}/telly-skout
%{_kf5_applicationsdir}/org.kde.telly-skout.desktop
%{_kf5_metainfodir}/org.kde.telly-skout.appdata.xml
%{_kf5_iconsdir}/hicolor/scalable/apps/org.kde.telly-skout.svg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047376
- New version 23.04.3

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961483
- initial package telly-skout

